package com.huigou.topsun.sap.exceptionReport.application;

import com.huigou.topsun.sap.exceptionReport.domain.ExceptionReportDutyPerson;
import com.huigou.topsun.sap.exceptionReport.domain.ExceptionReportGoods;
import com.huigou.topsun.sap.exceptionReport.domain.query.ExceptionReportQueryRequest;

import java.util.List;
import java.util.Map;
/**
 * @Auther: lxh
 * @Date: 2024/08/21/19:35
 * @Description:
 */
public interface ExceptionReportGoodsApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/sap/exceptionReport/exceptionReport.xml";
    List<ExceptionReportGoods> findByExceptionReportId(String exceptionReportId);

    void saveExceptionReportGoodsList(String exceptionReportId,List<ExceptionReportGoods> goodsList);

    Map<String,Object> slicedExceptionReportGoodsList(ExceptionReportQueryRequest queryRequest);

    void deleteByIds(List<String> ids);

    void saveExceptionReportGoods(ExceptionReportGoods exceptionReportGoods);
}
